## org.codehaus.plexus.collections
Class DefaultActiveList

    java.lang.Object
      org.codehaus.plexus.collections.AbstractActiveList
          org.codehaus.plexus.collections.DefaultActiveList

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.List, ActiveCollection, ActiveList, org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

    public class DefaultActiveList

extends AbstractActiveList
implements ActiveList, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable, org.codehaus.plexus.logging.LogEnabled

Field Summary

Fields inherited from interface org.codehaus.plexus.collections.ActiveList
`ROLE`

Constructor Summary
`DefaultActiveList()`
`DefaultActiveList(org.codehaus.plexus.PlexusContainer container, java.lang.Class role)`
`DefaultActiveList(org.codehaus.plexus.PlexusContainer container, java.lang.String role)`

Method Summary
`boolean` `checkedContains(java.lang.Object value)` Same as `List.contains(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `checkedContainsAll(java.util.Collection collection)` Same as `List.containsAll(Collection)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object` `checkedGet(int index)` Same as `List.get(int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`int` `checkedIndexOf(java.lang.Object value)` Same as `List.indexOf(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `checkedIsEmpty()` Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.
`java.util.Iterator` `checkedIterator()` Same as `List.iterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`int` `checkedLastIndexOf(java.lang.Object value)` Same as `List.lastIndexOf(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.ListIterator` `checkedListIterator()` Same as `List.listIterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.ListIterator` `checkedListIterator(int index)` Same as `List.listIterator(int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`int` `checkedSize()` Same semantics as `Collection.size()` or `Map.size()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.
`java.util.List` `checkedSubList(int fromIndex, int toIndex)` Same as `List.subList(int, int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object[]` `checkedToArray()` Same as `List.toArray()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object[]` `checkedToArray(java.lang.Object[] array)` Same as `List.toArray(Object[])`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `contains(java.lang.Object value)`
`boolean` `containsAll(java.util.Collection collection)`
`java.lang.Object` `get(int index)`
`int` `indexOf(java.lang.Object value)`
`boolean` `isEmpty()` Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`.
`java.util.Iterator` `iterator()`
`int` `lastIndexOf(java.lang.Object value)`
`java.util.ListIterator` `listIterator()`
`java.util.ListIterator` `listIterator(int index)`
`int` `size()` Same semantics as `Collection.size()` or `Map.size()`.
`java.util.List` `subList(int fromIndex, int toIndex)`
`java.lang.Object[]` `toArray()`
`java.lang.Object[]` `toArray(java.lang.Object[] array)`

Methods inherited from class org.codehaus.plexus.collections.AbstractActiveList
`add, add, addAll, addAll, checkedGetList, clear, contextualize, enableLogging, getList, getLogger, getRole, remove, remove, removeAll, retainAll, set, setRole`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.plexus.collections.ActiveCollection
`getRole`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, equals, hashCode, remove, remove, removeAll, retainAll, set`

Methods inherited from interface org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable
`contextualize`

Methods inherited from interface org.codehaus.plexus.logging.LogEnabled
`enableLogging`

Constructor Detail

### DefaultActiveList

    public DefaultActiveList()

### DefaultActiveList

    public DefaultActiveList(org.codehaus.plexus.PlexusContainer container,
                             java.lang.Class role)

### DefaultActiveList

    public DefaultActiveList(org.codehaus.plexus.PlexusContainer container,
                             java.lang.String role)

Method Detail

### checkedContains

    public boolean checkedContains(java.lang.Object value)
                            throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.contains(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedContains` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedContainsAll

    public boolean checkedContainsAll(java.util.Collection collection)
                               throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.containsAll(Collection)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedContainsAll` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedGet

    public java.lang.Object checkedGet(int index)
                                throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.get(int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedGet` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedIndexOf

    public int checkedIndexOf(java.lang.Object value)
                       throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.indexOf(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedIndexOf` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedIsEmpty

    public boolean checkedIsEmpty()
                           throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.

  Specified by:
    `checkedIsEmpty` in interface `ActiveCollection`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

### checkedIterator

    public java.util.Iterator checkedIterator()
                                       throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.iterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedIterator` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedLastIndexOf

    public int checkedLastIndexOf(java.lang.Object value)
                           throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.lastIndexOf(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedLastIndexOf` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedListIterator

    public java.util.ListIterator checkedListIterator()
                                               throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.listIterator()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedListIterator` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedListIterator

    public java.util.ListIterator checkedListIterator(int index)
                                               throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.listIterator(int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedListIterator` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedSize

    public int checkedSize()
                    throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.size()` or `Map.size()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.

  Specified by:
    `checkedSize` in interface `ActiveCollection`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

### checkedSubList

    public java.util.List checkedSubList(int fromIndex,
                                         int toIndex)
                                  throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.subList(int, int)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedSubList` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedToArray

    public java.lang.Object[] checkedToArray()
                                      throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.toArray()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedToArray` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedToArray

    public java.lang.Object[] checkedToArray(java.lang.Object[] array)
                                      throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveList`
  Same as `List.toArray(Object[])`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedToArray` in interface `ActiveList`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.List`

### containsAll

    public boolean containsAll(java.util.Collection collection)

  Specified by:
    `containsAll` in interface `java.util.Collection`
  Specified by:
    `containsAll` in interface `java.util.List`

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List`

### indexOf

    public int indexOf(java.lang.Object value)

  Specified by:
    `indexOf` in interface `java.util.List`

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`.

  Specified by:
    `isEmpty` in interface `java.util.Collection`
  Specified by:
    `isEmpty` in interface `java.util.List`
  Specified by:
    `isEmpty` in interface `ActiveCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.List`

### lastIndexOf

    public int lastIndexOf(java.lang.Object value)

  Specified by:
    `lastIndexOf` in interface `java.util.List`

### listIterator

    public java.util.ListIterator listIterator()

  Specified by:
    `listIterator` in interface `java.util.List`

### listIterator

    public java.util.ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List`

### size

    public int size()

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.size()` or `Map.size()`.

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.List`
  Specified by:
    `size` in interface `ActiveCollection`

### subList

    public java.util.List subList(int fromIndex,
                                  int toIndex)

  Specified by:
    `subList` in interface `java.util.List`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.List`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] array)

  Specified by:
    `toArray` in interface `java.util.Collection`
  Specified by:
    `toArray` in interface `java.util.List`

Copyright © 2011. All Rights Reserved.